All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
cl::detail::KernelArgumentHandler< T, typename std::enable_if<!std::is_base_of< cl::Memory, T >::value >::type > Struct Template Reference

`#include <cl2.hpp>`

## Static Public Member Functions

static size_type | size (const T &)
static const T * | ptr (const T &value)

## Member Function Documentation

template<typename T >

static const T* cl::detail::KernelArgumentHandler< T, typename std::enable_if<!std::is_base_of< cl::Memory, T >::value >::type >::ptr | ( | const T & | value | ) |

inlinestatic

template<typename T >

static size_type cl::detail::KernelArgumentHandler< T, typename std::enable_if<!std::is_base_of< cl::Memory, T >::value >::type >::size | ( | const T & |  | ) |

inlinestatic

The documentation for this struct was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp